/* ===============================
   GLOBAL
=================================*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Josefin Sans", sans-serif;
    background: #000;
    color: #fff;
    /* overflow-x: hidden; */
    position: relative;
}

/* .container {
    max-width: 1200px;
} */

/* Gold Color */
:root {
    --gold: #D4AF37;
    --gold-dark: #b99225;
}

@media(max-width:1024px) {
    :root {
        overflow-x: hidden !important;
    }
}

/* ===============================
   NAVBAR
=================================*/

.premium-nav {
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(12px);
    padding: 1px 0;
    /* border-bottom: 1px solid #FFFFFF21; */
}

.navbar-brand {
    font-weight: 700;
    letter-spacing: 2px;
    font-size: 20px;
    color: var(--gold) !important;
    padding: 0px;
}

.logo {
    width: 100%;
    height: 90px;
}

.nav-link {
    color: #ddd !important;
    margin-left: 25px;
    font-size: 15px;
}

.nav-link:hover {
    color: var(--gold) !important;
}

/* ===============================
   HERO SECTION
=================================*/

/* GOOGLE FONT */
@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@400;500;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Josefin Sans', sans-serif;
    background: #000;
}

/* ========================= */
/* HERO */
/* ========================= */

.hero {
    position: relative;
    height: 100vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    background: #000;
}

/* ================= STARS ================= */

.stars {
    position: absolute;
    width: 100%;
    height: 100%;
    background: #0f0f0f url("./images/stars\ \(1\).png") repeat top center;
    /* animation: moveStars 200s linear infinite; */
    z-index: 0;
}

.twinkle {
    position: absolute;
    inset: 0;
    background: transparent url("./images/twinkling2.png") repeat top center;
    animation: twinkle 200s linear infinite;
    z-index: 1;
}

@keyframes moveStars {
    from {
        background-position: 0 0;
    }

    to {
        background-position: -10000px 5000px;
    }
}

@keyframes twinkle {
    0% {
        background-position: 0 0;
    }

    100% {
        background-position: -10000px 5000px;
    }
}

/* ================= STAR FIELD ================= */



/* ================= CONTENT ================= */

.hero-inner {
    width: 85%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    z-index: 3;
}

/* LEFT SIDE */

.hero-left {
    max-width: 600px;
    color: #fff;
}

.hero-title {
    font-size: 56px;
    font-weight: 300;
    line-height: 1.2;
    margin-bottom: 20px;
}

.hero-highlight {
    font-size: 62px;
    font-weight: 800;
    line-height: 0.95;
    background: linear-gradient(to right, #ffb36b, #ff6a00);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    margin-bottom: 25px;
    line-height: 64px;
}

.hero-sub {
    font-size: 26px;
    color: #ddd;
    margin-bottom: 35px;
}

/* BUTTON */

.hero-btn {
    display: inline-block;
    padding: 11px 36px;
    border-radius: 50px;
    border: 1px solid #ff9d2f;
    color: #fff;
    text-decoration: none;
    transition: 0.4s;
    font-size: 18px;
    backdrop-filter: blur(20px);
}

.hero-btn:hover {
    /* background: linear-gradient(to right, #ffb36b, #ff6a00); */
    background: linear-gradient(126.29deg, #FF7A0E -43.39%, #000000 97.17%);
    /* box-shadow: 0 0 25px rgba(255, 120, 0, 0.6); */
    color: white !important;
}

/* RIGHT SIDE */

.hero-right {
    text-align: center;
}

.zodiac {
    width: 520px;
    /* opacity: 0.85; */
    animation: rotateWheel 150s linear infinite;
}

@keyframes rotateWheel {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}


/* ================= BOTTOM EFFECTS ================= */

.hero-bottom {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 350px;
    z-index: 4;
    pointer-events: none;
}

/* GLOW IMAGE */

.glow {
    position: absolute;
    bottom: 24px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    mix-blend-mode: screen;
}

/* MOUNTAIN IMAGE */

.mountain {
    position: absolute;
    bottom: 0;
    width: 100%;
}


/* ===============================
   SECTION SPACING
=================================*/

.section-premium {
    padding: 120px 0;
    position: relative;
}

.section-gradient {
    padding: 120px 0;
    background: linear-gradient(to bottom, #0a0a0a, #140b03);
    position: relative;
}

.section-label {
    color: var(--gold);
    letter-spacing: 3px;
    font-size: 36px;
    font-weight: 300;
}

.section-title {
    font-size: 48px;
    margin-top: 10px;
    font-weight: 600;
    margin-bottom: 5rem;
}


.section-3bg {
    position: absolute;
    content: '';
    background-image: url(./images/section-3bg.png);
    width: 100%;
    height: 100%;
    top: 0;
    z-index: 1;
    background-size: cover;
    right: 0;
    background-position: center;
    background-repeat: no-repeat;
}

/* ===============================
   WHO IT’S FOR
=================================*/

.feature-box {
    padding: 45px 30px;
    border-radius: 20px;
    border: 1px solid rgba(212, 175, 55, 0.15);
    transition: all 0.4s ease;
    background: rgba(255, 255, 255, 0.02);
}

.feature-box h5 {
    font-size: 18px;
    margin-bottom: 12px;
}

.feature-box p {
    color: #aaa;
    font-size: 14px;
}

.feature-box:hover {
    border-color: var(--gold);
    transform: translateY(-8px);
}

/* ===============================
   WHAT YOU GET LIST
=================================*/

.feature-list {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
}

.feature-list li {
    margin-bottom: 40px;
    display: flex;
    align-items: flex-start;
    flex: 0 0 50%;
}

.feature-list span {
    width: 40px;
    min-width: 40px;
    height: 40px;
    border-radius: 50%;
    color: var(--gold);
    background: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 15px;
    font-weight: 600;
    border: 1px solid #fbfbfb;
    font-size: 22px;
}

.feature-list-inner-wrap h4 {
    font-size: 26px;
    font-weight: 500;
    letter-spacing: 0.2px;
}

.feature-list-inner-wrap p {
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.2px;
}

.img-with-gradient {
    position: relative;
}

/* .img-with-gradient::before {
    position: absolute;
    content: '';
    background-image: url(./images/glow.png);
    left: -86px;
    right: 0;
    top: -92px;
    background-position: center;
    width: 637px;
    height: 500px;
    opacity: 0.6;
} */

.shadow-overlay {
    position: absolute;
    inset: 0;
    background: radial-gradient(circle at center, rgba(255, 140, 0, 0.3) 0%, rgba(0, 0, 0, 0.9) 70%);
    width: 767px;
    height: 640px;
    top: -171px;
    left: -190px;
    z-index: -1;
    opacity: 0.9;
}

.age-stage-sec {
    margin-bottom: 5rem;
}

.age-stage-sec h5 {
    font-size: 28px;
    font-weight: 500;
}

.age-stage-left-padd {
    padding-left: 5rem;
}

.age-stage-right-padd {
    padding-right: 5rem;
}

.age-stage-sec p {
    font-size: 16px;
    font-weight: 400;
}

.moon-corner {
    position: absolute;
    background-image: url(./images/moon-corner.png);
    background-repeat: no-repeat;
    left: 0;
    bottom: -209px;
    width: 250px;
    z-index: 99;
    background-size: 100% 100%;
    height: 440px;
}

.flex-head .right-head {
    padding-top: 44px;
}

/* ===============================
   FORM SECTION
=================================*/

.glass-form {
    background: linear-gradient(145deg, rgba(212, 175, 55, 0.08), rgba(0, 0, 0, 0.6));
    padding: 50px;
    border-radius: 20px;
    border: 1px solid rgb(212 175 55 / 45%);
    backdrop-filter: blur(20px);
    position: relative;
    overflow: hidden;
}

.glass-form::before {
    content: '';
    position: absolute;
    background-image: url(./images/form-left-bottom-shadow.png);
    width: 226px;
    height: 298px;
    background-size: 100% 100%;
    background-position: center;
    bottom: 0;
    left: 0;
    z-index: -1;
}

.glass-form::after {
    content: '';
    position: absolute;
    background-image: url(./images/form-left-bottom-shadow.png);
    width: 226px;
    height: 298px;
    background-size: 100% 100%;
    background-position: center;
    top: 0;
    right: 0;
    transform: rotate(180deg);
    z-index: -1;
}

.glass-form h4 {
    font-size: 40px;
    margin-bottom: 20px;
    font-weight: 500;
}

.premium-input {
    background: transparent;
    padding: 12px;
    color: #fff;
    border-radius: 0px;
    border: none;
    border-bottom: 1px solid white;
}

.premium-input:focus {
    border-bottom: 1px solid var(--gold);
    box-shadow: none;
    background: none;
    color: white;
}

.premium-input::placeholder {
    color: white;
}

/* Make calendar icon white */
input[type="date"]::-webkit-calendar-picker-indicator {
    filter: invert(1);
    cursor: pointer;
}

.btn-premium {
    background: linear-gradient(126.29deg, #FF7A0E -43.39%, #000000 97.17%);
    color: white !important;
    border: 1px solid #f1f1f1;
    border-radius: 51px;
    font-size: 18px;
    font-weight: 400;
    padding: 7px 22px;
}

.btn-premium:hover {
    border-color: white;
}

/* ===============================
   PRICING
=================================*/

.price-card {
    padding: 40px 30px;
    border-radius: 20px;
    border: 1px solid #222;
    transition: 0.4s ease;
    width: 100%;
}

.full-report-card-color {
    background: linear-gradient(125deg, rgba(212, 175, 55, 0.08), rgba(0, 0, 0, 0.6));
}

.all-card-color {
    /* background: #0c0c0c; */
    background: linear-gradient(125deg, rgba(212, 175, 55, 0.08), rgba(0, 0, 0, 0.6));
}

.price-card h5 {
    font-size: 30px;
    margin-bottom: 20px;
    font-weight: 500;
}

.price-card .pricing-img {
    margin: 20px 0px 40px;
}

.price-card h3 {
    font-size: 28px;
    margin-bottom: 20px;
}

.price-card .disscount-price {
    position: relative;
    margin-right: 12px;
}

.price-card .disscount-price::before {
    content: '';
    position: absolute;
    width: 105%;
    height: 4px;
    background: #F9A25C;
    top: 10px;
}

.price-card:hover {
    transform: translateY(-10px);
    border-color: var(--gold);
    box-shadow: 0 0 30px rgba(212, 175, 55, 0.3);
}

.price-card ul li {
    margin-bottom: 10px;
    font-size: 20px;
}

.active-card {
    border: 2px solid var(--gold);
    box-shadow: 0 0 30px rgba(212, 175, 55, 0.3);
    /* background: linear-gradient(126.29deg, #FF7A0E -43.39%, #000000 97.17%); */
}

.btn-outline-light {
    color: white !important;
    border: 1px solid #f1f1f1;
    border-radius: 51px;
    font-size: 18px;
    font-weight: 400;
    padding: 15px 22px;
}

.btn-outline-light:hover {
    background: linear-gradient(126.29deg, #FF7A0E -43.39%, #000000 97.17%);
    color: white !important;
}

/* ===============================
   MOON DIVIDER
=================================*/

.moon-divider {
    margin-bottom: -400px;
    position: relative;
    z-index: -1;
}

.moon-divider img {
    max-width: 600px;
    width: 100%;
    opacity: 0.9;
}

/* ===============================
   FOOTER
=================================*/

.footer-premium {
    padding: 250px 0 50px;
    /* background: linear-gradient(to top, #140b03, #000); */
    background: url('./images/Footer.png') no-repeat;
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 1;
    background-size: 100% 100%;
}

.footer-premium::after {
    position: absolute;
    content: '';
    background-image: url('./images/footer-light.png');
    width: 100%;
    height: 100%;
    bottom: 0;
    z-index: -1;
    background-size: 100% 100%;
}

.footer-premium h3 {
    color: var(--gold);
    margin-bottom: 20px;
}

.footer-logo {
    height: auto;
    margin-top: -42px;
    width: 72%;
}

.footer-premium p {
    color: #fff;
    font-size: 25px;
    font-weight: 300;
}

.Social-icon {
    font-size: 16px;
    color: white;
    text-decoration: none;
    position: relative;
}

.Social-icon::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 0%;
    height: 2px;
    background-color: var(--gold);
    transition: width 0.3s ease;
}

.Social-icon:hover::after {
    width: 100%;
}

.font-bold {
    font-weight: 500 !important;
}

.footer-bold {
    font-size: 23px !important;
    font-weight: 600 !important;
}


/* ===============================
   RESPONSIVE
=================================*/

@media (max-width: 992px) {

    .hero-title {
        font-size: 38px;
    }

    .section-premium,
    .section-gradient {
        padding: 80px 0;
    }

    .glass-form {
        margin-top: 40px;
    }

    .price-card {
        margin-bottom: 30px;
    }
}

/* SCROLL REVEAL */
.reveal {
    opacity: 0;
    transform: translateY(50px);
    transition: 1s ease;
}

.reveal.active {
    opacity: 1;
    transform: translateY(0);
}

.rotate-zodiac {
    animation: rotateWheel 150s linear infinite;
}

@keyframes rotateWheel {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

/* media query for mobile */

@media(max-width:676px) {
    .hero-inner {
        width: 100%;
    }

    .hero-right {
        position: absolute;
        left: 0;
        opacity: 0.4;
        z-index: -1;
    }

    .mountain {
        height: 100px;
    }

    .zodiac {
        width: 100%;
    }

    .age-stage-sec {
        text-align: center;
    }

    .mob-margin-cst {
        margin-top: 20px;
    }

    .age-stage-right-padd {
        padding-right: 0px;
    }

    .age-stage-left-padd {
        padding-left: 0px;
    }

    .moon-corner {
        bottom: -210px;
        width: 225px;
        height: 369px;
        background-size: 70% 70%;
    }

    .feature-list li {
        flex: 0 0 100%;
    }

    .moon-divider {
        margin-bottom: -292px;
    }

    .rotate-zodiac {
        margin: 50px 0px;
    }

    .modal-cst-width {
        margin: 20px 26px;
    }

    .modal-header-custom .modal-second-title {
        font-size: 32px !important;
    }

    .modal-content {
        padding: 22px !important;
    }

    .footer-premium {
        background-size: cover;
    }

    .login-text {
        padding: 23px 0px 0px !important;
    }
}


/* media query for ipad and tab */

@media(max-width:1024px) {
    .hero-inner {
        width: 100%;
    }

    .zodiac {
        width: 100%;
    }

    .age-stage-sec {
        text-align: center;
    }

    .age-stage-right-padd {
        padding-right: 0px;
    }

    .age-stage-left-padd {
        padding-left: 0px;
    }

    body {
        overflow-x: hidden;
    }

    .footer-premium {
        background-size: cover;
    }

    .moon-corner {
        bottom: -145px;
        width: 167px;
        background-size: 80% 80%;
        height: 294px;
    }
}

/* media query for mobile landscape */
@media(max-width:1024px) and (orientation: landscape) {
    .hero {
        min-height: 100vh;
        height: auto;
        padding: 200px 0px;
    }

    .footer-premium {
        background-size: cover;
    }
}

/* media query for 1360 and 1500 laptop size */

@media(min-width:1360px) and (max-width:1500px) {
    .hero-highlight {
        font-size: 54px;
    }

    .zodiac {
        width: 90%;
    }

    .hero {
        height: 120vh;
    }
}


/* media query for very small devices */
@media(max-width:360px) {
    .hero-title {
        font-size: 27px;
    }

    .hero-highlight {
        font-size: 29px;
    }

    .hero-sub {
        font-size: 19px;
    }
}

.fade {
    transition: opacity .15s linear;
    backdrop-filter: blur(13px);
}

.modal-content {
    background: linear-gradient(145deg, rgba(212, 175, 55, 0.08), rgba(0, 0, 0, 0.6));
    padding: 50px;
    border-radius: 20px;
    border: 1px solid rgb(212 175 55 / 45%);
    backdrop-filter: blur(20px);
    position: relative;
    overflow: inherit;
}

.modal-header-custom .modal-first-title {
    color: #F9A25C;
    font-weight: 300;
    font-size: 36px;
    letter-spacing: 0.2px;
}

.modal-header-custom .modal-second-title {
    color: white;
    font-weight: 500;
    font-size: 48px;
    letter-spacing: 0.2px;
    text-transform: uppercase;
    margin-bottom: 0px;
}

.modal-cst-width {
    max-width: 800px !important;
}

.modal-close-btn {
    background: transparent;
    border: none;
    position: absolute;
    right: -21px;
    top: -20px;
}

.modal-content::before {
    content: '';
    position: absolute;
    background-image: url(./images/form-left-bottom-shadow.png);
    width: 226px;
    height: 298px;
    background-size: 100% 100%;
    background-position: center;
    bottom: 0;
    left: 0;
    z-index: -1;
    border-radius:19px
}

.modal-content::after {
    content: '';
    position: absolute;
    background-image: url(./images/form-left-bottom-shadow.png);
    width: 226px;
    height: 298px;
    background-size: 100% 100%;
    background-position: center;
    top: 0;
    right: 0;
    transform: rotate(180deg);
    z-index: -1;
    border-radius:19px
}

.nav-link.active {
    color: #F9A25C !important;
    font-weight: 600;
}

.p-relative {
    position: relative;
}

.calendar-icon,
.calendar-icon1,
.calendar-icon2,
.calendar-icon3,
.calendar-icon4,
.calendar-icon5 {
    position: absolute;
    right: 5px;
    bottom: 16px;
    cursor: pointer;
}

.login-modal-head .login-head {
    font-size: 28px;
    font-weight: 600;
}

.login-modal-head .logo-icon {
    width: 100%;
    height: auto;
}

.login-btn-wrap {
    background: linear-gradient(126.29deg, #FF7A0E -43.39%, #000000 97.17%);
    border-radius: 50px;
    width: fit-content;
    margin: 0px auto;
    border: 1px solid #fff;
    padding: 12px 20px 10px;
    margin-bottom: 16px;
}

.login-btn-wrap .login-btn {
    color: white;
    text-decoration: none;
    font-size: 17px;
}

.login-btn-wrap .login-btn img {
    width: 30px;
    position: relative;
    top: -1px;
}

.login-text {
    text-align: center;
    padding: 23px 48px 0px;
    margin-bottom: 0px;
}

.login-link {
    color: var(--gold);
    text-decoration: none;
}

.login-link:hover {
    text-decoration: underline;
}